Update an agent

Server: https://{kibana_url}
  • PUT /api/agent_builder/agents/{id}

Update an existing agent configuration. Use this endpoint to modify any aspect of the agent's behavior, appearance, or capabilities. To learn more about agents, refer to the agents documentation.

[Required authorization] Route required privileges: agentBuilder:manageAgents.

Path Parameters

id string required

The unique identifier of the agent to update.

Response

200

Indicates a successful response

application/json